Arch Osy
Jump to navigation
Jump to search
Arch
User documentation
Outdated translations are marked like this.
|
Umístění Menu |
---|
Arch → Osy |
Pracovní stoly |
Architektura |
Výchozí zástupce |
A X |
Představen ve verzi |
- |
Viz také |
Nikdo |
Popis
Nástroj Osy Vám umožňuje umístit osový systém do aktuálního dokumentu. Vzdálenosti a úhel mezi osami je uživatelsky nastavitelný, stejně jako styl číslování. Osy slouží především jako reference k uchopování objektů, ale může taky být použit společně se strukturami k vytváření parametrizovaných polí příčníků nebo sloupů.
Two axes objects positioned perpendicularly to each other to create a grid
Použití
Volby
- Každá osa v osovém systému má svou vlastní vzdálenost a úhel v relaci k předchozí ose. To umožňuje vytvořit velmi komplexní systémy jako například ne-ortogonální systémy, polární systémy nebo jakýkoliv nehomogenní systém.
- Délka os, rozměry bublin a styly číslování jsou uživatelsky nastavitelné pomocí vlastností osového systému.
Vlastnosti
- ÚdajeDélka: Délka os
- PohledVelikost bubliny: Velikost osové bubliny
- PohledStyl číslování: Jak jsou osy číslovány: 1,2,3, A,B,C, atd...
Use as section mark
By setting the Bubble Position property to Arrow left/right or Bar left/right, the axis will display a filled arrow or bar instead of the bubble, so it can be used as a section mark. introduced in version 0.20
Skriptování
Nástroj Osy může být využit v makrech a z konzoly Pythonu použitím následující funkce:
Axes = makeAxis(num=5, size=1000, name="Axes")
- vytváří osový systém založený na daném počtu os a vzdálenosti mezi osami
Příklad:
import Draft, Arch
Axes = Arch.makeAxis(5, 1000)
Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150
Axes2 = Arch.makeAxis(6, 500)
Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()
Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()
- Elements: Wall, Structure, Curtain Wall, Window, Roof, Space, Stairs, Equipment, Frame, Fence, Truss, Profile, Pipe, Pipe Connector
- Reinforcements: Straight Rebar, U-Shape Rebar, L-Shape Rebar, Stirrup, Bent-Shape Rebar, Helical Rebar, Column Reinforcement, Beam Reinforcement, Slab Reinforcement, Footing Reinforcement, Custom Rebar
- Panels: Panel, Panel Cut, Panel Sheet, Nest
- Materials: Material, Multi-Material
- Organization: Building Part, Project, Site, Building, Level, External reference, Section Plane, Schedule
- Axes: Axis, Axes system, Grid
- Modification: Cut with plane, Cut with line, Add component, Remove component, Survey
- Utilities: Component, Clone component, Split Mesh, Mesh to Shape, Select non-manifold meshes, Remove Shape from Arch, Close Holes, Merge Walls, Check, Toggle IFC Brep flag, 3 Views from mesh, Create IFC spreadsheet, Toggle Subcomponents
- Additional: Preferences, Import Export Preferences (IFC, DAE, OBJ, JSON, 3DS, SHP), IfcOpenShell, IfcPlusPlus, Arch API

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub